/***************************************************************|
|                    MCU Configuration Words                    |
|************************ config_words.h ***********************|
|    Suported MCU: PIC24FJ64GB002                               |
|    Types of enviroment: USB, Others                           |
|    Written by: Diallix                                        |
|    For more info visit: http:\\www.diallix.net\fuses          |
|    Last revision code: 28.7 2014                              |
|***************************************************************|
|***************************************************************/


#ifndef __diall_words_header__
  #define __diall_words_header__
 #else 
  #error "The Header of Fuses has been included!"
#endif

#if defined(__PIC24FJ64GB002__)
        _CONFIG1(  FWDTEN_OFF
                 & WINDIS_OFF
                 & FWPSA_PR32
                 & WDTPS_PS1
                 & ICS_PGx3
                 & GWRP_OFF
                 & GCP_OFF
                 & JTAGEN_OFF
                 )
        _CONFIG2(  POSCMOD_NONE
                 & IOL1WAY_OFF
                 & OSCIOFNC_ON
                 & FCKSM_CSDCMD
                     #if defined(__USB_CDC_DEV_D__)
                       & FNOSC_FRCPLL
                       & PLL96MHZ_ON
                       & PLLDIV_NODIV
                     #else
                       & FNOSC_FRC
                       & PLL96MHZ_OFF
                       & PLLDIV_NODIV
                     #endif
                 & IESO_ON
                 & I2C1SEL_PRI
                )
        _CONFIG3(  SOSCSEL_IO
                 & WPFP_WPFP0
                 & WPDIS_WPDIS
                 & WPCFG_WPCFGDIS 
                 & WPEND_WPENDMEM
                 & WUTSEL_LEG
                )
        _CONFIG4(  DSWDTPS_DSWDTPS3
                 & DSWDTOSC_LPRC
                 & DSBOREN_OFF
                 & DSWDTEN_OFF
                 & RTCOSC_SOSC
                )
   #else
     #error "Your MCU is not support Config_words header!"
#endif
